// Copyright 2000 by Keith Vallerio, David Rhodes, and Robert Dick.
// All rights reserved.

#ifndef T_GRAPH_H_
#define T_GRAPH_H_

/*###########################################################################*/
#include "RVector.h"
#include "TG.h"
#include "RString.h"

#include <iosfwd>

/*###########################################################################*/
class TGraph {
public:
	TGraph(int offset);
	void print_to(std::ostream & os) const;
	void print_to_vcg(std::ostream & os) const;
	void print_to_ps(std::ostream & os, const std::string & filename) const;
	double h_period() const { return h_period_; }

private:
		rstd::RVector<TG> dag_; 
		int tg_offset_;
		double h_period_;
};

/*###########################################################################*/
#endif

